<?php
    /**
     * @var \yii\web\View $this
     */
    use artbox\odoo\assets\ArtboxOdooAsset;
    use yii\bootstrap\Html;
    use yii\helpers\Url;
    use yiister\gentelella\widgets\Panel;
    
    ArtboxOdooAsset::register($this);
    $this->title = \Yii::t('odoo', 'Odoo import');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="odoo-import">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
      <?php
          echo Html::a(
              \Yii::t('odoo', 'Import products'),
              '#',
              [
                  'class' => 'odoo-import-product',
                  'data'  => [
                      'url' => Url::to([ 'process' ]),
                  ],
              ]
          );
      ?>
  </div>
  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
      <?php
          echo Html::a(
              \Yii::t('odoo', 'Import orders'),
              '#',
              [
                  'class' => 'odoo-import-order',
                  'data'  => [
                      'url' => Url::to([ 'process-order' ]),
                  ],
              ]
          );
      ?>
  </div>
  <div class="clearfix"></div>
  <div id="odoo-progress">
    <div class="progress">
      <div class="progress-bar progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0"></div>
    </div>
  </div>
    <?php
        $xPanel::end();
    ?>
</div>
