<?php
    /**
     * @var \yii\web\View                        $this
     * @var \artbox\odoo\models\OdooToProduct[]  $products
     * @var \artbox\odoo\models\OdooToOrder[]    $orders
     * @var \artbox\odoo\models\OdooToCategory[] $categories
     */
    use yii\bootstrap\Html;
    use yiister\gentelella\widgets\Panel;
    
    $this->title = \Yii::t('odoo', 'Odoo');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="odoo-index">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon">
        <div class="fa fa-caret-square-o-right"></div>
      </div>
      <div class="count"><?php echo count($products); ?></div>
      <h3><?php echo \Yii::t('odoo', 'Products'); ?></h3>
      <p><?php echo \Yii::t('odoo', 'Products loaded from Odoo'); ?></p>
    </div>
  </div>
  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon">
        <div class="fa fa-caret-square-o-right"></div>
      </div>
      <div class="count"><?php echo count($orders); ?></div>
      <h3><?php echo \Yii::t('odoo', 'Orders'); ?></h3>
      <p><?php echo \Yii::t('odoo', 'Orders loaded from Odoo'); ?></p>
    </div>
  </div>
  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon">
        <div class="fa fa-caret-square-o-right"></div>
      </div>
      <div class="count"><?php echo count($categories); ?></div>
      <h3><?php echo \Yii::t('odoo', 'Categories'); ?></h3>
      <p><?php echo \Yii::t('odoo', 'Categories loaded from Odoo'); ?></p>
    </div>
  </div>
  <div class="clearfix"></div>
  <div class="col-xs-12">
    <div class="list-group">
        <?php
            echo Html::a(
                \Yii::t('odoo', 'Import'),
                [ 'import' ],
                [
                    'class' => 'list-group-item',
                ]
            );
            echo Html::a(
                \Yii::t('odoo', 'Orders'),
                [ 'orders' ],
                [
                    'class' => 'list-group-item',
                ]
            );
        ?>
    </div>
  </div>
    <?php
        $xPanel::end();
    ?>
</div>
